/* http://www.ad-res.ru/controllers/SSD1306_soft_i2c.php */

#include <stdio.h>
#include "stm32f10x.h"
#include "stm32f10x_rcc.h"
#include "stm32f10x_gpio.h"
#include "Display_SSD1306_I2C.c"

/*
   Display_SSD1306_I2C.c ( )
#define I2C_PORT				GPIOB
#define I2C_SCL_PIN				10
#define I2C_SDA_PIN				11
volatile uint8_t sMessage[16] = {0};
volatile uint8_t SSD1306_Buffer[SSD1306_WIDTH * SSD1306_HEIGHT / 8] = {0};
*/


int main(void) {
    int16_t i = 0;

    //    B
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);

    Delay(10);          //    
    I2C_Init();         //   

    for(i=0; i<1024; i++) *(SSD1306_Buffer + i) = 0; //   

    //      
    sprintf((char *)sMessage, "123456789012");
    PutString(0, 0, sMessage, 1);   // : X, Y, ,  (1 - , 0 - )

    DrawLine(6, 22, 20, 36, 1);     // : X1, Y1, X2, Y2,  (0/1)
    DrawLine(20, 36, 34, 22, 1);
    DrawLine(20, 36, 20, 60, 1);
    DrawCircle(64, 42, 20, 1);		// X, Y, R,  (0/1)
    SetPixel(64, 42, 1);            // : X, Y,  (0/1)
    UpdateScreen();                 //      
    Delay(900);

    for(i=0; i<1024; i++) *(SSD1306_Buffer + i) = 0; //   
    UpdateScreen();                 //      

    while(1) {
        ScreenSaver();              //    DOS
        }
}
